Index: azure_iot_hub/trunk/asp3_dcre/tecsgen/tecslib/core/tecs_lang.rb
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/tecsgen/tecslib/core/tecs_lang.rb	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/tecsgen/tecslib/core/tecs_lang.rb	(revision 389)
@@ -6,59 +6,44 @@
 #   Copyright (C) 2008-2014 by TOPPERS Project
 #--
-#   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-#   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-#       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-#       ã¨ï¼
-#     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-#         å ±åãããã¨ï¼
-#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-#       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-#       å
-è²¬ãããã¨ï¼
+#   上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+#   ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+#   変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+#   (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+#       権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+#       スコード中に含まれていること．
+#   (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+#       用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+#       者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+#       の無保証規定を掲載すること．
+#   (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+#       用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+#       と．
+#     (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+#         作権表示，この利用条件および下記の無保証規定を掲載すること．
+#     (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+#         報告すること．
+#   (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+#       害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+#       また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+#       由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+#       免責すること．
 #  
-#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-#   ã®è²¬ä»»ãè² ããªãï¼
+#   本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+#   よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+#   に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+#   アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+#   の責任を負わない．
 #  
 #   $Id$
 #++
 
-#== è¨èªã«é¢ããå¤æ°ãè¨­å®
-# ã¡ãã»ã¼ã¸ãã¡ã¤ã«ã®èª­ã¿è¾¼ã¿ãè¡ã (èª­ã¿è¾¼ã¿ã«å¤±æããå ´åãããã©ã«ãã®æå­ã³ã¼ãã«å¤æ´ãã)
+#== 言語に関する変数を設定
+# メッセージファイルの読み込みも行う (読み込みに失敗した場合、デフォルトの文字コードに変更する)
 class TECS_LANG
-  # ããã·ã¥ã®ã¿ã°ã¯ case insensitive ã®ãããå¤§æå­ã®æå­åã¨ãã
+  # ハッシュのタグは case insensitive のため、大文字の文字列とする
   CHARSET_ALIAS = {
     "UJIS" => :eucJP,
     "UTF-8" => :utf8,
-    "EUCJP" => :eucJP,   # ä»¥ä¸ case insensitive ã«ãããã
+    "EUCJP" => :eucJP,   # 以下 case insensitive にするため
     "SJIS" => :sjis,
     "UTF8" => :utf8,
@@ -67,5 +52,5 @@
   LANG_ALIAS = {
     "C" => :en_US,
-    "EN_US" => :en_US,   # ä»¥ä¸ case insensitive ã«ãããã
+    "EN_US" => :en_US,   # 以下 case insensitive にするため
     "JA_JP" => :ja_JP
   }
@@ -75,6 +60,6 @@
   }
 
-  #=== LANG ã®ãã¼ã¹
-  #lang::String  "ja_JP.eucJP@cjknarrow", "C" ãªã©
+  #=== LANG のパース
+  #lang::String  "ja_JP.eucJP@cjknarrow", "C" など
   #RETURN:: [ :ja_JP, :eucJP, :cjknarrow ]
   def self.parse_lang( lang )
@@ -82,7 +67,6 @@
 
     lang_terri = $1.to_sym if $1 != nil && $1 != ""
-    # set_kcode_binary ã«ãããC.UTF-8 ã®ã¿ãç¹å¥æ±ãããå¿
-è¦ããªããªã£ã
-    # if lang_terri == :C then    # LANG=C.* ã¯ããã¹ã¦ 1 byte æå­ã³ã¼ãã¨ãã¦æ±ã
+    # set_kcode_binary により、C.UTF-8 のみを特別扱いする必要がなくなった
+    # if lang_terri == :C then    # LANG=C.* は、すべて 1 byte 文字コードとして扱う
     #  codeset = nil
     #  modifier = nil
@@ -94,9 +78,9 @@
   end
 
-  #=== lang, charset ã®å¥æè§£æ±ºããã³å¦¥å½æ§ã®ãã§ãã¯
-  #lang::Symbol    : :en_US, :ja_JP ãªã©
-  #charset::Symbol : :eucJP, :utf8 ãªã©
+  #=== lang, charset の別明解決および妥当性のチェック
+  #lang::Symbol    : :en_US, :ja_JP など
+  #charset::Symbol : :eucJP, :utf8 など
   #RETURN:
-  #  [ lang, charset, result ]::ããresult = false ã®å ´å lang, charset ã¯ä¸é©å
+  #  [ lang, charset, result ]::　　result = false の場合 lang, charset は不適切
   def self.resolve_alias_and_check( lang, charset )
     if LANG_ALIAS[ lang.to_s.upcase ] then
@@ -122,6 +106,6 @@
   end
 
-  #=== codepage ãåãåºã
-  #codepage ã¯3ï½5æ¡ã®æ´æ°ã¨ãã¦ä»®å®
+  #=== codepage を取り出す
+  #codepage は3～5桁の整数として仮定
   def self.get_win_codepage
     cmd_pipe = IO.popen('cmd /c chcp','r')
@@ -132,5 +116,5 @@
   end
 
-  #=== codepage ãã LANG ã®è¨­å®æå­åã«å¤æ
+  #=== codepage から LANG の設定文字列に変換
   def self.codepage_to_lang cp
     if cp == "932" then
@@ -141,16 +125,16 @@
   end
 
-  #=== è¨èªãæå­ã³ã¼ãã«é¢ããå¤æ°ãè¨­å®
-  # ä»¥ä¸ã®é ã«ãã§ãã¯ãããä¸çªæå¾ã«è¨­å®ãããå¤ãæ¡ç¨ããã
-  #   ã»ããã©ã«ã
-  #   ã»codepage  (exerb çã§ TERM æªè¨­å®ã¾ãã¯ TERM=cygwin ã®å ´åã®ã¿)
-  #   ã»LANG ç°å¢å¤æ°
-  #   ã»TECSGEN_LANG ç°å¢å¤æ°
-  #   ã»TECSGEN_FILE_LANG ç°å¢å¤æ° (ãã¡ã¤ã«ã®æå­ã³ã¼ãã®ã¿)
-  #   ã»-k ãªãã·ã§ã³ (ãã¡ã¤ã«ã®æå­ã³ã¼ãã®ã¿)
+  #=== 言語、文字コードに関する変数を設定
+  # 以下の順にチェックされ、一番最後に設定された値が採用される
+  #   ・デフォルト
+  #   ・codepage  (exerb 版で TERM 未設定または TERM=cygwin の場合のみ)
+  #   ・LANG 環境変数
+  #   ・TECSGEN_LANG 環境変数
+  #   ・TECSGEN_FILE_LANG 環境変数 (ファイルの文字コードのみ)
+  #   ・-k オプション (ファイルの文字コードのみ)
   def self.set_lang_var
 
     if $IN_EXERB && ( ENV[ 'TERM' ] == nil || ENV[ 'TERM' ] == "cygwin" ) then
-      # exerb çã§ç«¯æ« cygwin ã®æã¯ codepage ã®ã¿ãè¦ã
+      # exerb 版で端末 cygwin の時は codepage のみを見る
       cp = get_win_codepage
       lang = codepage_to_lang cp
@@ -160,6 +144,6 @@
 
     elsif ENV[ 'LANG' ]then
-      # é exerb çã§ã¯ LANG ç°å¢å¤æ°ãè¦ã
-      # cygwin console ã§ã¯ codepage ã«å¾ã£ã¦åºåããæ¹ãå¹³åãªãã
+      # 非 exerb 版では LANG 環境変数を見る
+      # cygwin console では codepage に従って出力した方が平和なため
 
       $LANG_FILE, $CHARSET_FILE, *dum = self.parse_lang( ENV[ 'LANG' ] )
@@ -181,5 +165,5 @@
   end
 
-  #=== -k ãªãã·ã§ã³ãããã¡ã¤ã«ç¨ã®è¨èªãæå­ã³ã¼ãå¤æ°ãè¨­å®
+  #=== -k オプションからファイル用の言語、文字コード変数を設定
   def self.set_lang_by_option
     if $kcode == nil
@@ -211,10 +195,9 @@
   end
 
-  #=== Kconv ã¯ã©ã¹ç¨ã®å¤æ°ãè¨­å®
-  # è¨èªæ
-å ±ãã Kconv ã«é¢ããå¤æ°ãè¨­å®
+  #=== Kconv クラス用の変数を設定
+  # 言語情報から Kconv に関する変数を設定
   def self.set_kconv_var
 
-    # æå­ã³ã¼ãã®è¨­å®
+    # 文字コードの設定
     case $CHARSET_FILE           # string: "EUC" | "SJIS" | "NONE" | "UTF8"
     when :eucJP
@@ -251,13 +234,13 @@
     end
 
-    $KCODE_TECSGEN = "UTF8"      # string: "EUC"  ãã®ãã¡ã¤ã«ã®æå­ã³ã¼ãï¼ãªãã·ã§ã³ã§ã¯ãªãå®æ°ï¼
+    $KCODE_TECSGEN = "UTF8"      # string: "EUC"  このファイルの文字コード（オプションではなく定数）
     $KCONV_TECSGEN = Kconv::UTF8 # const: 
-    set_kcode $KCODE_TECSGEN     # ãã®ãã¡ã¤ã«ã®æå­ã³ã¼ããè¨­å®
-  end
-
-  #=== ä¸æçã« KCODE ã BINARY ã«å¤æ´ãã
-  # EUC ã UTF8 ã§èª­ã¿è¾¼ãã å ´åã«æå­åºåããèª¤ãåé¡ã®å¯¾å¿
-  # ã³ã¡ã³ãã®èª­ã¿é£ã°ããèª¤ãç¹ãåé¡
-  # ãã ããSJIS ã®å ´åã¯ãã¨ã¹ã±ã¼ãæå­ã®åé¡ããããããå¤æ´ããªã
+    set_kcode $KCODE_TECSGEN     # このファイルの文字コードを設定
+  end
+
+  #=== 一時的に KCODE を BINARY に変更する
+  # EUC を UTF8 で読み込んだ場合に文字区切りを誤る問題の対応
+  # コメントの読み飛ばしを誤る点が問題
+  # ただし、SJIS の場合は、エスケープ文字の問題があるため、変更しない
   def self.set_kcode_binary
 
@@ -273,6 +256,5 @@
   end
 
-  #=== ä¸æçãªã KCODE ã®å¤æ´ãå
-ã«æ»ã
+  #=== 一時的なあ KCODE の変更を元に戻す
   def self.reset_kcode
     set_kcode $KCODE_BACK
@@ -280,10 +262,10 @@
 
   #####
-  # $LANG_FILE        è¨èª (C ã¯ en_US ã«å¤æããã)
-  # $LANG_CONSOLE     è¨èª (C ã¯ en_US ã«å¤æããã)
-  # $CHARSET_FILE     ãã¡ã¤ã«ã®æå­ã³ã¼ã
-  # $CHARSET_CONSOLE  ã³ã³ã½ã¼ã«æå­ã³ã¼ã
-
-  # ããã©ã«ãã®è¨­å®ï¼æ­£è¦åæ¸ã¿ã®ãã¨ï¼
+  # $LANG_FILE        言語 (C は en_US に変換される)
+  # $LANG_CONSOLE     言語 (C は en_US に変換される)
+  # $CHARSET_FILE     ファイルの文字コード
+  # $CHARSET_CONSOLE  コンソール文字コード
+
+  # デフォルトの設定（正規化済みのこと）
   $LANG_FILE_DEFAULT  = :en_US
   $CHARSET_FILE_DEFAULT = nil
@@ -296,11 +278,11 @@
   $CHARSET_CONSOLE = $CHARSET_CONSOLE_DEFAULT
 
-  # -k ã§æå®å¯è½ãªã³ã¼ã
+  # -k で指定可能なコード
   $CODE_TYPE_ARRAY = [ "euc", "sjis", "none", "utf8" ]
 
-  # è¨èªãæ±ºå®ãã
+  # 言語を決定する
   self.set_lang_var
 
-  # è¨èªãã³ã¼ãã®ãã§ãã¯ã¨æ­£è¦å
+  # 言語、コードのチェックと正規化
   lang_file, charset_file, res =
     self.resolve_alias_and_check( $LANG_FILE, $CHARSET_FILE )
@@ -316,5 +298,5 @@
   end
 
-  # ã¡ãã»ã¼ã¸ã¢ã¸ã¥ã¼ã«ãã­ã¼ã
+  # メッセージモジュールをロード
   if require_tecsgen_lib( "tecslib/messages/messages_console_#{lang_console}.rb", false ) == false then
     require_tecsgen_lib( "tecslib/messages/messages_console_#{$LANG_CONSOLE_DEFAULT}.rb" )
@@ -330,5 +312,5 @@
   end
 
-  # Kconv ã¯ã©ã¹ã®ããã®å¤æ°ãè¨­å®
+  # Kconv クラスのための変数を設定
   self.set_kconv_var 
 
@@ -337,5 +319,5 @@
   dbgPrint "Ruby19_File_Encode=#{$Ruby19_File_Encode}\n"
 
-  #=== åä½ãã¹ãå®è¡
+  #=== 単体テスト実行
   if $unit_test then
     print "unit test: set_lang_var\n"
@@ -350,6 +332,6 @@
 end
 
-#= Console ã¯ã©ã¹
-# æå­ã³ã¼ããå¤æãã
+#= Console クラス
+# 文字コードを変換する
 class Console
   def self.print str
Index: azure_iot_hub/trunk/asp3_dcre/tecsgen/tecslib/core/tecsgen.rb
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/tecsgen/tecslib/core/tecsgen.rb	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/tecsgen/tecslib/core/tecsgen.rb	(revision 389)
@@ -6,47 +6,32 @@
 #   Copyright (C) 2008-2017 by TOPPERS Project
 #--
-#   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-#   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-#       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-#       ã¨ï¼
-#     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-#         å ±åãããã¨ï¼
-#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-#       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-#       å
-è²¬ãããã¨ï¼
+#   上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+#   ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+#   変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+#   (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+#       権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+#       スコード中に含まれていること．
+#   (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+#       用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+#       者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+#       の無保証規定を掲載すること．
+#   (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+#       用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+#       と．
+#     (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+#         作権表示，この利用条件および下記の無保証規定を掲載すること．
+#     (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+#         報告すること．
+#   (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+#       害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+#       また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+#       由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+#       免責すること．
 #  
-#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-#   ã®è²¬ä»»ãè² ããªãï¼
+#   本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+#   よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+#   に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+#   アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+#   の責任を負わない．
 #  
 #   $Id$
@@ -56,8 +41,8 @@
 class TECSGEN
 
-  @@b_post_coded = false     # ãã¹ãã³ã¼ãçæéå§å¾ true
-
-  #=== import ãã¹ (-I) ãæ«å°¾ã«è¿½å 
-  # æ¢ã«ç»é²æ¸ã¿ã§ããã°ãè¿½å ããªã
+  @@b_post_coded = false     # ポストコード生成開始後 true
+
+  #=== import パス (-I) を末尾に追加
+  # 既に登録済みであれば、追加しない
   def self.add_import_path path
     if $import_path.index( path ) == nil then
@@ -67,7 +52,7 @@
   end
 
-  #=== EXEB çã®ãã¹ã®èª¿æ´
-  # ç°å¢å¤æ° TECSPATH ã cygwin ã¹ã¿ã¤ã«ã ã¨ãexerb çã§ã¯æ±ããªã
-  # $import_path ã¨ $TECSPATH ãèª¿æ´ãã
+  #=== EXEB 版のパスの調整
+  # 環境変数 TECSPATH が cygwin スタイルだと、exerb 版では扱えない
+  # $import_path と $TECSPATH を調整する
   def self.adjust_exerb_path
     if $IN_EXERB then
@@ -76,5 +61,5 @@
       paths = []
       $import_path.each{ |path|
-        # cygpath ã¯ '..' ãç°¡ç´ãã¦ãã¾ãã®ã§ãnew_tecspath ã§ç½®æãã
+        # cygpath は '..' を簡約してしまうので、new_tecspath で置換する
         # paths << cygpath( path, path )
         paths << path.sub( pattern, new_tecspath )
@@ -87,7 +72,7 @@
   end
 
-  #=== $(TECSPATH) ã¸ã®ç½®æ
-  #path::String   : ENV[ 'TECSPATH' ] ã«ä¸è´ããé¨åãããã°ã "$(TECSPATH)" ã«ç½®æ
-  #b_global::Bool : true ãªã gsub ã§ç½®æãfalse ãªã sub ã§ç½®æ
+  #=== $(TECSPATH) への置換
+  #path::String   : ENV[ 'TECSPATH' ] に一致する部分があれば、 "$(TECSPATH)" に置換
+  #b_global::Bool : true なら gsub で置換。false なら sub で置換
   def self.subst_tecspath( path, b_global = false )
     tp = $tecspath.dup
@@ -104,7 +89,7 @@
   end
 
-  #=== path ã¯çµ¶å¯¾ãã¹ã?
+  #=== path は絶対パスか?
   #path:: String   :
-  # '/' ã¾ãã¯ '$' ã§å§ã¾ãå ´åãçµ¶å¯¾ãã¹ã¨å¤å®ãã
+  # '/' または '$' で始まる場合、絶対パスと判定する
   def self.is_absolute_path?( path )
     pa = path[0..0]; pa2 = path[0..1]
@@ -118,5 +103,5 @@
   end
 
-  #=== tecsgen ã®ããã©ã«ããè¨­å®
+  #=== tecsgen のデフォルトを設定
   def self.set_default_config
     Makefile::set_default_config
@@ -124,8 +109,7 @@
 
   ###
-  #== Makefile.templ ã®åºåå
-å®¹ãè¿½å ãå¤æ´ããããã®æä½
+  #== Makefile.templ の出力内容を追加、変更するための操作
   module Makefile
-    # åºå®ããã¦ããå¤æ°(add_var ã§å¤æ´ã§ããªã)
+    # 固定されている変数(add_var で変更できない)
     @@fixed_vars = { :INCLUDES => nil, :DEFINES => nil, :TARGET_BASE => nil, :BASE_DIR => nil }
     @@config_mode = false
@@ -142,11 +126,11 @@
     @@lines = []
 
-    #=== OTHER_OBJS ã«è¿½å ãã
+    #=== OTHER_OBJS に追加する
     def self.add_obj obj
       @@objs << obj
     end
-    #=== è¿½å ããå¤æ°
-    # ãã©ã°ã¤ã³ããã¯ãããã©ã«ãå¤ãå¤æ´ã§ãã
-    # config ã«ãã
+    #=== 追加する変数
+    # プラグインからは、デフォルト値を変更できる
+    # config により
     def self.add_var( var, val, comment = nil )
       if @@fixed_vars[ var ]
@@ -161,36 +145,36 @@
       end
     end
-    #=== LDFLAGS ã«è¿½å ãã
+    #=== LDFLAGS に追加する
     def self.add_ldflag ldflag
       @@ldflags += " " + ldflag
     end
-    #=== ãµã¼ããã¹ãè¿½å ãã
-    # CFLAGS, vpath ã«è¿½å ãã
+    #=== サーチパスを追加する
+    # CFLAGS, vpath に追加する
     def self.add_search_path path
       @@search_path << path
     end
-    #=== PRE_TECSGEN_TARGET ã«è¿½å ãã
-    # PRE_TECSGEN_TARGET ã« target ãè¿½å ãã
+    #=== PRE_TECSGEN_TARGET に追加する
+    # PRE_TECSGEN_TARGET に target を追加する
     def self.add_pre_tecsgen_target target
       @@pre_tecsgen_target << pre_tecsgen_target
     end
-    #=== POST_TECSGEN_TARGET ã«è¿½å ãã
-    # POST_TECSGEN_TARGET ã« target ãè¿½å ãã
+    #=== POST_TECSGEN_TARGET に追加する
+    # POST_TECSGEN_TARGET に target を追加する
     def self.add_post_tecsgen_target target
       @@post_tecsgen_target << pre_tecsgen_target
     end
-    #=== è¿½å ããå¤æ°
+    #=== 追加する変数
     def self.add_line( line )
       @@lines << line.to_s + "\n"
     end
 
-    def self.get_objs  # Array ãè¿ã
+    def self.get_objs  # Array を返す
       return @@objs.uniq
     end
-    def self.get_vars  # Array ãè¿ã
+    def self.get_vars  # Array を返す
       if RUBY_VERSION >= '1.9' then
         return (@@vars.keys + @@vars_default.keys).sort.uniq
       else
-        # V1.8 ã§ã¯ãSymbol ã® sort ãã§ããªãã®ã§ãä¸æ¦ String ã«ç½®æãã
+        # V1.8 では、Symbol の sort ができないので、一旦 String に置換する
         return (@@vars.keys + @@vars_default.keys).map{|s| s.to_s }.sort.uniq.map!{|s| s.to_sym }
       end
@@ -202,23 +186,23 @@
       return @@var_comments[ var ]
     end
-    def self.get_ldflags  # String ãè¿ã
+    def self.get_ldflags  # String を返す
       return @@ldflags
     end
-    def self.get_search_path  # Array ãè¿ã
+    def self.get_search_path  # Array を返す
       return @@search_path.uniq
     end
-    def self.get_pre_tecsgen_target  # Array ãè¿ã
+    def self.get_pre_tecsgen_target  # Array を返す
       return @@pre_tecsgen_target.uniq
     end
-    def self.get_post_tecsgen_target  # Array ãè¿ã
+    def self.get_post_tecsgen_target  # Array を返す
       return @@post_tecsgen_target.uniq
     end
-    def self.get_lines  # ä»å ããè¡ãå¾ã
+    def self.get_lines  # 付加する行を得る
       return @@lines.uniq
     end
 
-    #=== TECSGEN ã®ããã©ã«ãè¨­å®ãè¡ã
+    #=== TECSGEN のデフォルト設定を行う
     # Makefile 
-    # @@fixed_vars ã§å®ç¾©ããã¦ããå¤æ°ã¯ãå¤æ´ã§ãããå®æ°å®ç¾©ããã¦ãã
+    # @@fixed_vars で定義されている変数は、変更できず、定数定義されている
     def self.set_default_config
       add_var( "TARGET", "$(TARGET_BASE).exe", "default target name"  )
@@ -241,9 +225,9 @@
 
   def syntax_analisys argv
-    # ã«ã¼ã namespace (region) ãçæ
+    # ルート namespace (region) を生成
     @root_namespace = Region.new("::")
 
-    ####  æ§æè§£æ (post ã³ã¼ããé¤ã) ####
-    # ãã¹ã¦ã® cdl ã import ãã
+    ####  構文解析 (post コードを除く) ####
+    # すべての cdl を import する
     argv.each{ |f|
       dbgPrint( "## Import: #{f}\n")
@@ -251,7 +235,7 @@
     }
 
-    # ãã¹ã¦ã®æ§æè§£éãå®äºãããã¨ã®å ±å
-    #   å®éã«ã¯ãå¾ãããã©ã°ã¤ã³ã®çæãã CDL ã®ãã¼ã¹ãè¡ããã
-    #   ã¨ã©ã¼è¡æ°ã®æ±ºå®æ¹æ³ã®å¤æ´ã®ããã«è¡ã
+    # すべての構文解釈が完了したことの報告
+    #   実際には、後からプラグインの生成する CDL のパースが行われる
+    #   エラー行数の決定方法の変更のために行う
     Generator.end_all_parse
     dbgPrint( "## End all parse (except Post Code)\n")
@@ -262,5 +246,5 @@
   # other objects (signature, celltype, typedef, etc ) are checked while syntax analisys
   def semantics_analisys_1
-    ####  æå³è§£æï¼ (post ã³ã¼ããé¤ã) ####
+    ####  意味解析１ (post コードを除く) ####
     dbgPrint( "## Creating reverse join \n")
     Cell.create_reverse_join
@@ -270,16 +254,16 @@
     Celltype.check_dynamic_join
 
-    #0 set_definition_join ã¯2åå¼ã³åºãããï¼1åç®ï¼
+    #0 set_definition_join は2回呼び出される（1回目）
     dbgPrint( "## Checking all join\n")
     @root_namespace.set_definition_join
-    # @root_namespace.set_require_join                   ### ãã£ããè¦åãããéè¤ã¨ã©ã¼ãè¦éã
-    # through ãã©ã°ã¤ã³ã§çæãããã»ã«ã«ã require ãçæã§ãã (set_definition_join ã®å¾ãã§å®æ½)
-
-    ####  post ã³ã¼ãã®çæã¨æ§æè§£æ ####
-    @@b_post_coded = true     # ãã¹ãã³ã¼ãçæéå§å¾ true
-    # å¼æ°ããªããã°ããã©ã°ã¤ã³ã®ãã¹ãã³ã¼ããåºåããªã
+    # @root_namespace.set_require_join                   ### いったん見合わせ。重複エラーを見逃す
+    # through プラグインで生成されたセルにも require も生成できる (set_definition_join の後ろで実施)
+
+    ####  post コードの生成と構文解析 ####
+    @@b_post_coded = true     # ポストコード生成開始後 true
+    # 引数がなければ、プラグインのポストコードを出力しない
     if ARGV.length > 0 then
       dbgPrint( "## Generating Post Code\n")
-      # ãã©ã°ã¤ã³ã®ãã¹ãã³ã¼ãã®åºåã¨ import
+      # プラグインのポストコードの出力と import
       tmp_file_name = "#{$gen}/tmp_plugin_post_code.cdl"
       file = nil
@@ -291,5 +275,5 @@
 
       if file then
-        # through ãã©ã°ã¤ã³ã®ãã¹ãã³ã¼ãçæ
+        # through プラグインのポストコード生成
         PluginModule.gen_plugin_post_code file
 
@@ -304,12 +288,11 @@
     end
 
-    ####  æå³è§£æï¼ (post ã³ã¼ã) ####
+    ####  意味解析１ (post コード) ####
     dbgPrint( "## Creating reverse join (for post code) \n")
     Cell.create_reverse_join
 
-    # Join ã®å®ç¾©ã®è¨­å®ã¨ãã§ãã¯
-    #0 # åæ¹åç
-§å¯¾å¿
-    #0 set_definition_join ã¯2åå¼ã³åºãããï¼2åç®ï¼  post_code ã§çæããã
+    # Join の定義の設定とチェック
+    #0 # 前方参照対応
+    #0 set_definition_join は2回呼び出される（2回目）  post_code で生成された
     dbgPrint( "## Checking all join (for cells generated by Post Code\n")
     @root_namespace.set_definition_join
@@ -317,21 +300,18 @@
 
     dbgPrint( "## Set require join\n")
-    @root_namespace.set_require_join   # mikan post ã®åã«ã
-    # ãã¹ãã³ã¼ãã§çæãããã»ã«ã® require ã®join ãçæ
-    # mikan require ã§ through ãé©ç¨ããã¦ããã¹ãã³ã¼ããå¿
-è¦ã¨ãªã£ã¦ãåºåãããªã
+    @root_namespace.set_require_join   # mikan post の前にも
+    # ポストコードで生成されたセルの require のjoin を生成
+    # mikan require で through が適用されて、ポストコードが必要となっても出力されない
   end # semantics_analisys_1
 
   def semantics_analisys_2
-    ####  æå³è§£æï¼ ####
+    ####  意味解析２ ####
     Cell.make_cell_list2
     dbgPrint( "## Set fixed join\n")
     Cell.create_reverse_require_join
-    # create_reverse_require_join ã¯ set_detinition_join ã«åãè¾¼ããã¨ãã§ããªã
-        # namespace ã«ä¾å­ããªãåºç¾é ã§è¡ã
-        # mikan through ãã©ã°ã¤ã³ãé©ç¨ãããã¹ãã³ã¼ãã«å½±é¿ãä¸ããå ´åãèæ
-®ã§ãã¦ããªã
-        # mikan post code ã«å½±é¿ã®ãããã®ã§ããã°ãæ©ãã« reverse_require_join ã®çµåãå¿
-è¦
+    # create_reverse_require_join は set_detinition_join に埋め込むことができない
+        # namespace に依存しない出現順で行う
+        # mikan through プラグインが適用されポストコードに影響を与える場合が考慮できていない
+        # mikan post code に影響のあるものであれば、早くに reverse_require_join の結合が必要
     dbgPrint( "## Setting port reference count\n")
     @root_namespace.set_port_reference_count
@@ -340,5 +320,5 @@
     @root_namespace.check_join
 
-    # mikan ãã©ã°ã¤ã³ã§çæãããã³ã³ãã¼ãã³ãã® set_def_and_check_join
+    # mikan プラグインで生成されたコンポーネントの set_def_and_check_join
 
     dbgPrint( "## Checking referenced but undefined cell\n")
@@ -347,5 +327,5 @@
 
   def optimize_and_generate
-    #### Region link root ãã¨ã«ãªããã£ãã¤ãºããã³çæ ####
+    #### Region link root ごとにオプティマイズおよび生成 ####
     Region.get_link_roots.each { |region|
 
@@ -369,6 +349,6 @@
       end
 
-      # ã»ã«ãä¸ã¤ããªããã°çæããªã
-      # ã»ã«ã®çæããªãå ´å
+      # セルが一つもなければ生成しない
+      # セルの生成がない場合
       if region.get_n_cells == 0 then
         if $region_list.length > 0 then
@@ -400,13 +380,12 @@
 
       dbgPrint( "## Unset optimize variables\n")
-      @root_namespace.reset_optimize   # æé©åããªã»ãããã
+      @root_namespace.reset_optimize   # 最適化をリセットする
 
       if Generator.get_n_error == 0 then
-        # ã¨ã©ã¼ãçºçãã¦ããããè¨­å®ããªã
+        # エラーが発生していたら、設定しない
         dbgPrint( "## Set cell id\n")
-        @root_namespace.set_cell_id_and_domain      # ã»ã«ã® ID ã¨ãã¡ã¤ã³æ
-å ±ãè¨­å®ï¼linkunit æ¯ã«0ããã¤ããï¼
-
-        # ã¨ã©ã¼ãçºçãã¦ããããæé©åã¯å®æ½ããªã
+        @root_namespace.set_cell_id_and_domain      # セルの ID とドメイン情報を設定（linkunit 毎に0からつける）
+
+        # エラーが発生していたら、最適化は実施しない
         if ! $unopt then
           dbgPrint( "## Optimizing: Link Region=#{@root_namespace.get_name}\n")
@@ -416,5 +395,5 @@
 
       if $show_tree then
-        # ã¨ã©ã¼ãçºçãã¦ãã¦ãè¡¨ç¤ºï¼ã¨ã©ã¼çºçæã¯æé©åããã¦ããªãã®ã§æ³¨æï¼
+        # エラーが発生していても表示（エラー発生時は最適化されていないので注意）
         print "##### show_tree LinkRegion=#{region.get_name} #####\n"
         @root_namespace.show_tree(0)
@@ -422,5 +401,5 @@
       end
 
-      # æ§æè§£éãæå³è§£æã§ã¨ã©ã¼çºçãã¦ããããã³ã¼ãçæãããªã
+      # 構文解釈、意味解析でエラー発生していたら、コード生成をしない
       if Generator.get_n_error != 0 then
         print_report
@@ -428,5 +407,5 @@
       end
 
-      #### ã³ã¼ãçæ ####
+      #### コード生成 ####
       begin
         dbgPrint( "## Generating: Link Region=#{@root_namespace.get_name}\n")
@@ -435,5 +414,5 @@
         @root_namespace.generate_post
       rescue
-        # éå¸¸ããã¸ã¯æ¥ãªã (generate, generate_post ã§å¦ç½®ããã)
+        # 通常ここへは来ない (generate, generate_post で処置される)
         Generator.error( "G9999 fail to generate" )
       end
@@ -453,8 +432,8 @@
     }
 
-    # update ãã
-    # APPFile ã§çæããããã¡ã¤ã«ã¯ãããå¤åãããã°ãããã§æ´æ°ãã
-    # ã³ã¼ãçææ®µéã§ã¨ã©ã¼ãçºçããã°ãæ´æ°ããªã
-    # CFile ã§çæããããã®ã¯ãæ´æ°ããã¦ãã
+    # update する
+    # APPFile で生成されたファイルは、もし変化があれば、ここで更新する
+    # コード生成段階でエラーが発生すれば、更新しない
+    # CFile で生成されたものは、更新されている
     if Generator.get_n_error == 0 then
       begin
@@ -477,7 +456,6 @@
   def dump_tecsgen_rbdmp
     dbgPrint "dump_tecsgen_rbdmp 0:\n"
-    #### unjoin_plugin å¾ã«è¡ãå¿
-è¦ããããããã³ã¼ãçæå¾ã«ãã³ããè¡ã
-    #### Region link root ãã¨ã«ãªããã£ãã¤ãºãã¦ãã³ã ####
+    #### unjoin_plugin 後に行う必要があるため、コード生成後にダンプを行う
+    #### Region link root ごとにオプティマイズしてダンプ ####
     Namespace.get_root.unjoin_plugin
     Namespace.get_root.find_plugin 0, []
@@ -497,6 +475,6 @@
 
       dbgPrint "dump_tecsgen_rbdmp 2: Region.path_str: #{region.get_namespace_path.get_path_str}\n"
-      # ã»ã«ãä¸ã¤ããªããã°çæããªã
-      # ã»ã«ã®çæããªãå ´å
+      # セルが一つもなければ生成しない
+      # セルの生成がない場合
       if region.get_n_cells == 0 then
         # if $region_list.length > 0 then
@@ -522,13 +500,12 @@
       dbgPrint "dump_tecsgen_rbdmp 4: Region.path_str: #{region.get_namespace_path.get_path_str}\n"
       dbgPrint( "## Unset optimize variables\n")
-      @root_namespace.reset_optimize   # æé©åããªã»ãããã
+      @root_namespace.reset_optimize   # 最適化をリセットする
 
       #  if Generator.get_n_error == 0 then
-      #   # ã¨ã©ã¼ãçºçãã¦ããããããã¸ã¯æ¥ãªã
+      #   # エラーが発生していたら、ここへは来ない
          dbgPrint( "## Set cell id\n")
-        @root_namespace.set_cell_id_and_domain      # ã»ã«ã® ID ã¨ãã¡ã¤ã³æ
-å ±ãè¨­å®ï¼linkunit æ¯ã«0ããã¤ããï¼
-
-        # ã¨ã©ã¼ãçºçãã¦ããããæé©åã¯å®æ½ããªã
+        @root_namespace.set_cell_id_and_domain      # セルの ID とドメイン情報を設定（linkunit 毎に0からつける）
+
+        # エラーが発生していたら、最適化は実施しない
         if ! $unopt then
           dbgPrint( "## Optimizing: Link Region=#{@root_namespace.get_name}\n")
